Bug 173806 - php-pear package does not have Provides for the packages it includes
php-pear package does not have Provides for the packages it includes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 09:32 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 17:23:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2005-11-21 09:32:51 EST
Description of problem:
The php-pear package does not have Provides: for the bundled packages (including
DB, HTML_Template_IT, XML_RPC, XML_Parser etc.)

It also does not have a Provides: for the core package itself (i.e. PEAR, which
is in itself a PEAR package), other than the php-pear package name which is
versioned according to the PHP version rather than the actual PEAR version.

Based on the convention adopted by default when using "pear makerpm" (that is,
PEAR::Package_Name), the php-pear package should include the following Provides: 

PEAR::XML_RPC = 1.4.0
PEAR::XML_Parser = 1.2.6
PEAR::PEAR = 1.3.5
etc.

Version-Release number of selected component (if applicable):
php-pear-5.0.4-10.5

How reproducible: Always

Steps to Reproduce:
1. rpm -q --provides php-pear
  
Actual results:
php-pear = 5.0.4-10.5

Expected results:
php-pear = 5.0.4-10.5
PEAR::PEAR = 1.3.5
PEAR::XML_RPC = 1.4.0
PEAR::XML_Parser = 1.2.6
etc.
Comment 1 Tim Jackson 2005-11-21 11:02:09 EST
There is of course the related issue of whether PEAR::Package_Name is a good
naming convention in accordance with FC packaging generall. Other obvious
alternatives include:

- php-Package_Name (this emulates the CPAN/pear-Foo_Bar convention)
- php-pear-Package_name

Personally I would choose php-Package_Name to make PHP/PEAR match Perl/CPAN.
Either way, it's worth bearing in mind that the choice may impact on the patch
in on bug #173814, and indeed may require a FC-specific patch to newer PEAR
versions to match the chosen convention, when newer upstream versions that
include RPM dep generation are pulled in.
Comment 2 Joe Orton 2005-12-01 12:26:18 EST
I'm going with this style:

Provides: php-pear(Archive_Tar) = 1.3.1
Provides: php-pear(Console_Getopt) = 1.2
Comment 3 Joe Orton 2005-12-01 17:23:39 EST
Done in php-pear-1.4.5-2.  If anyone has strong objections to this syntax please
pipe up.

Note You need to log in before you can comment on or make changes to this bug.